GET checks/results?mostrecent={mostrecent}&detail_level={detail_level}&include_tag_op={include_tag_op}
Gets the most recent checks results.
URL Parameters
| Name | Description |
|---|---|
| include_tag | (Optional) The 'include_tag' parameter defines which checks to include in the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| exclude_tag | (Optional) The 'exclude_tag' parameter defines which checks to exclude from the response, by filtering on the check 'tags' (see the Filtering by Tags section in Remarks for details). |
| mostrecent | Number of most recent results. Type: numeric. |
| detail_level | Result detalization level. Allowed values: 0, 1. Default value: 0. |
| include_tag_op | AND/OR mode for including tags. Allowed values: 'or', 'and'. Default value: 'or'. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Filtering by Tags
Checks can be filtered on the check 'tags', using tag 'key' and/or 'value'. Tilde '~' is used to indicate values. Multiple values are separated with semicolon ';'. Example: Environment~Dev;Prod (Key: 'Environment', Values: 'Dev' and 'Prod').You can provide the tag key only (all checks with that key) or only the value (all checks with that value in any key). Examples: Environment (key); ~Dev (value).
You can use the tag or key ID, by adding a '.' (period) before the ID. Examples: .4568~Prod (Tag key ID:'4568', value 'Prod'); Environment~.6985 (Tag key: 'Environment', value ID:'6985').
Responses
Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/results?mostrecent=10&detail_level=0&include_tag_op={"{"}include_tag_op{"}"}&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model examples and descriptions
When result detalization level is 0
[
{
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "F",
"value": 23454,
"unit": "byte"
},
{
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "E",
"value": 23454,
"unit": "byte"
},
{
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "W",
"value": 1234,
"unit": "byte"
}
]
| Name | Type | Description |
|---|---|---|
| check_id | Integer | The numeric identifier of the check. |
| timestamp_utc | DateTime | Result timestamp. |
| severity | String | Result severity. |
| value | Integer | Result value. |
| unit | String | Result unit of measure. |
When result detalization level is 1
[
{
"message": "1 step, 1 page, 1 url, 142/0 sent/received bytes.",
"identifier": "30d54f78-ba55-4466-b5b0-78950cb5c6f0",
"attempts": 1,
"result_code": 340,
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "E",
"value": 4637,
"unit": "byte"
},
{
"message": "1 step, 1 page, 1 url, 142/0 sent/received bytes.",
"identifier": "2ea04d55-158d-4674-a4bf-c3eb25c1f65b",
"attempts": 3,
"result_code": 200,
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "W",
"value": 23454,
"unit": "ms"
},
{
"message": "1 step, 1 page, 1 url, 142/0 sent/received bytes.",
"identifier": "b35773c7-84b2-4ca1-8582-aae8a8dff92b",
"attempts": 2,
"result_code": 200,
"check_id": 12345,
"timestamp_utc": "2024-09-27T22:22:15",
"severity": "F",
"value": 4637,
"unit": "ms"
}
]
| Name | Type | Description |
|---|---|---|
| message | String | The result message. |
| identifier | Guid | The result identifier. |
| attempts | Integer | The number of attempts. |
| result_code | Integer | The code of result. |
| check_id | Integer | The numeric identifier of the check. |
| timestamp_utc | DateTime | Result timestamp. |
| severity | String | Result severity. |
| value | Integer | Result value. |
| unit | String | Result unit of measure. |